#define prerel		rc2
%define fversion	%{version}%{?prerel:%{prerel}}
%define fname		%{name}-%{fversion}
%define rel		1

Summary:	The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Name:		nasm
Epoch:		2
Version:	2.16.03
Release:	%mkrel %{?prerel:-c %{prerel}} %{rel}
License:	BSD
Group:		Development/Other
URL:		https://www.nasm.us/
Source:		https://www.nasm.us/pub/nasm/releasebuilds/%{fversion}/%{fname}.tar.xz
Patch0:		nasm-2.16.01-switch-font-for-nasmdoc.patch
BuildRequires:	ghostscript
BuildRequires:	groff
BuildRequires:	texinfo
BuildRequires:	perl(Font::TTF::Font)
BuildRequires:	perl(Sort::Versions)
BuildRequires:	fonts-ttf-liberation

# Drop rdoff package as it has been discontinued upstream
Obsoletes:	nasm-rdoff < 2.16.01-1

%package doc
Summary:	Extensive documentation for NASM
Group:		Documentation

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
PostScript, RTF and text formats.

%prep
%autosetup -p1 -n %{fname}

%build
rm -f config.cache config.status config.log
%configure
%__make everything

%install
mkdir -p %{buildroot}/{%{_bindir},%{_infodir},%{_mandir}/man1}
%make_install
cd doc
bzip2 -9f nasmdoc*.txt nasmdoc*.ps||true
cd html
ln -sf nasmdoc0.html index.html

%check
make -C test golden test diff

%files
%doc CHANGES AUTHORS README.md doc/internal.doc
%license LICENSE
%attr(755,root,root) %{_bindir}/nasm
%attr(755,root,root) %{_bindir}/ndisasm
%{_mandir}/man1/nasm.1*
%{_mandir}/man1/ndisasm.1*

%files doc
%doc doc/nasmdoc.ps.bz2 doc/nasmdoc.txt.bz2  doc/html



%changelog
* Sat Jan 18 2025 daviddavid <daviddavid> 2:2.16.03-1.mga10
+ Revision: 2139791
- new version: 2.16.03

* Tue Apr 16 2024 kekepower <kekepower> 2:2.16.03-0.rc2.1.mga10
+ Revision: 2058073
- Update to version 2.16.03rc2

* Sat Apr 13 2024 kekepower <kekepower> 2:2.16.03-0.rc1.1.mga10
+ Revision: 2056730
- Update to version 2.16.03rc1

* Sun Apr 07 2024 kekepower <kekepower> 2:2.16.02-1.mga10
+ Revision: 2055331
- Update to version 2.16.02 final

* Mon Feb 12 2024 kekepower <kekepower> 2:2.16.02-0.rc10.1.mga10
+ Revision: 2040498
- Update to version 2.16.02-rc10

* Fri Jan 05 2024 kekepower <kekepower> 2:2.16.02-0.rc7.1.mga10
+ Revision: 2027876
- Update to version 2.16.02rc7

* Sun Dec 17 2023 kekepower <kekepower> 2:2.16.02-0.rc6.1.mga10
+ Revision: 2018490
- Update to version 2.16.02rc6
- Bump Epoch for rc6

* Sat Oct 14 2023 kekepower <kekepower> 1:2.16.02-1.mga10
+ Revision: 1996673
- Update to version 2.16.02rc2

* Mon Feb 20 2023 kekepower <kekepower> 1:2.16.01-1.mga9
+ Revision: 1944204
- Update to version 2.16.01
- Drop rdoff package (discontinued upstream)

* Thu Mar 17 2022 umeabot <umeabot> 1:2.15.05-2.mga9
+ Revision: 1797222
- Mageia 9 Mass Rebuild

* Fri Aug 28 2020 kekepower <kekepower> 1:2.15.05-1.mga8
+ Revision: 1619468
- Update to version 2.15.05
- Update to version 2.15.05rc2

* Tue Aug 25 2020 kekepower <kekepower> 1:2.15.04-1.mga8
+ Revision: 1618950
- Update to version 2.15.04

* Mon Jul 27 2020 kekepower <kekepower> 1:2.15.03-1.mga8
+ Revision: 1609328
- Update to version 2.15.03

* Wed Jul 08 2020 daviddavid <daviddavid> 1:2.15.02-2.mga8
+ Revision: 1602980
- fix a typo in switch-font-for-nasmdoc patch

* Wed Jul 08 2020 daviddavid <daviddavid> 1:2.15.02-1.mga8
+ Revision: 1602970
- new version: 2.15.02

* Wed Feb 19 2020 umeabot <umeabot> 1:2.14.02-2.mga8
+ Revision: 1544573
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 kekepower <kekepower> 1:2.14.02-1.mga8
+ Revision: 1483328
- Update to version 2.14.02
- Remove Patch1, merged upstream
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 03 2018 tv <tv> 1:2.13.03-2.mga7
+ Revision: 1256514
- Patch 1: fix build with gcc-8/glibc-2.28
- remove unused deps on info-install

* Thu Feb 08 2018 kekepower <kekepower> 1:2.13.03-1.mga7
+ Revision: 1199753
- Update to version 2.13.03
- This update fixes CVE-2017-1781[0-9] and CVE-2017-17820 (mga#22388)
- Added a patch for fonts for nasm docs
- Removed unnecesasary, old patches

* Sun Aug 20 2017 neoclust <neoclust> 1:2.12.02-2.mga7
+ Revision: 1141839
- Fix use-after-free and heap buffer overflow vulnerabilities
- Resolves: CVE-2017-10686, CVE-2017-11111

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1:2.12.02-1.mga6
+ Revision: 1045560
- 2.12.02

* Mon May 09 2016 luigiwalser <luigiwalser> 1:2.12.01-1.mga6
+ Revision: 1011797
- 2.12.01

* Fri Dec 25 2015 luigiwalser <luigiwalser> 1:2.11.08-1.mga6
+ Revision: 914520
- 2.11.08

* Wed May 13 2015 philippem <philippem> 1:2.11.07-2.mga5
+ Revision: 822029
- fix mga#3566,  rdf2ith, rdf2srec dangling links

* Wed Dec 10 2014 tmb <tmb> 1:2.11.07-1.mga5
+ Revision: 802585
- update to 2.11.07 (fixes regressions introduced in 2.11.06)

* Tue Nov 04 2014 luigiwalser <luigiwalser> 1:2.11.06-1.mga5
+ Revision: 795543
- 2.11.06

* Wed Oct 15 2014 umeabot <umeabot> 1:2.11.05-3.mga5
+ Revision: 739695
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.11.05-2.mga5
+ Revision: 682799
- Mageia 5 Mass Rebuild

* Fri May 23 2014 luigiwalser <luigiwalser> 1:2.11.05-1.mga5
+ Revision: 625223
- 2.11.05

* Wed May 14 2014 luigiwalser <luigiwalser> 1:2.11.04-1.mga5
+ Revision: 622648
- 2.11.04

* Fri May 09 2014 luigiwalser <luigiwalser> 1:2.11.03-1.mga5
+ Revision: 621580
- 2.11.03

* Sat Feb 22 2014 luigiwalser <luigiwalser> 1:2.11.02-1.mga5
+ Revision: 595659
- 2.11.02

* Fri Jan 17 2014 luigiwalser <luigiwalser> 1:2.11-1.mga5
+ Revision: 566766
- 2.11

* Sat Oct 19 2013 umeabot <umeabot> 1:2.10.09-2.mga4
+ Revision: 530827
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 luigiwalser <luigiwalser> 1:2.10.09-1.mga4
+ Revision: 459881
- 2.10.09
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 luigiwalser <luigiwalser> 1:2.10.07-1.mga3
+ Revision: 338912
- 2.10.07

* Sun Oct 14 2012 ennael <ennael> 1:2.10.05-2.mga3
+ Revision: 305460
- Documentation group

* Sun Oct 07 2012 luigiwalser <luigiwalser> 1:2.10.05-1.mga3
+ Revision: 303099
- 2.10.05

* Sun Aug 19 2012 luigiwalser <luigiwalser> 1:2.10.04-1.mga3
+ Revision: 282257
- 2.10.04

* Sun Jul 22 2012 tmb <tmb> 1:2.10.02-1.mga3
+ Revision: 273386
- update to 2.10.02

* Tue Sep 06 2011 tv <tv> 1:2.09.10-1.mga2
+ Revision: 139635
- new release

* Thu Jan 13 2011 ahmad <ahmad> 1:2.09.04-1.mga1
+ Revision: 7787
- imported package nasm


* Thu Nov 25 2010 Götz Waschk <waschk@mandriva.org> 1:2.09.04-1mdv2011.0
+ Revision: 601000
- update to new version 2.09.04

* Fri Nov 05 2010 Götz Waschk <waschk@mandriva.org> 1:2.09.03-1mdv2011.0
+ Revision: 593686
- update to new version 2.09.03

* Sat Sep 18 2010 Anssi Hannula <anssi@mandriva.org> 1:2.09.02-1mdv2011.0
+ Revision: 579469
- new version 2.09.02

* Sat Sep 04 2010 Götz Waschk <waschk@mandriva.org> 1:2.09-1mdv2011.0
+ Revision: 575876
- update to new version 2.09

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 1:2.08.02-1mdv2011.0
+ Revision: 550307
- new version
- drop patch

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.07-2mdv2010.1
+ Revision: 519046
- rebuild

* Wed Jul 22 2009 Götz Waschk <waschk@mandriva.org> 1:2.07-1mdv2010.0
+ Revision: 398470
- new version

* Thu Jul 16 2009 Götz Waschk <waschk@mandriva.org> 1:2.07-0.rc6.1mdv2010.0
+ Revision: 396575
- new version
- rediff the patch
- fix license
- update file list

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 1:2.06-1mdv2010.0
+ Revision: 391026
- new version

* Thu May 07 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:2.06-0.rc12.1mdv2010.0
+ Revision: 372837
- 2.06rc12
  * drop part of fix-str-mt patch which was integrated upstream

* Mon May 04 2009 Götz Waschk <waschk@mandriva.org> 1:2.06-0.rc11.1mdv2010.0
+ Revision: 371603
- new prerelease

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 1:2.06-0.rc10.mdv2010.0
+ Revision: 371266
- new version

  + Christophe Fergeau <cfergeau@mandriva.com>
    - Fix broken -Wformat=error patch

* Sat Mar 21 2009 Michael Scherer <misc@mandriva.org> 1:2.06-0.rc8.mdv2009.1
+ Revision: 359993
- update to rc8
- remove patch 1, applied upstream

* Wed Mar 18 2009 Michael Scherer <misc@mandriva.org> 1:2.06-0.rc7.2mdv2009.1
+ Revision: 357535
- add patch 1, to fix segfault when compiling zsnes
- update to rc7

* Sun Mar 01 2009 Emmanuel Andry <eandry@mandriva.org> 1:2.06-0.rc6.1mdv2009.1
+ Revision: 346251
- New version 2.06 rc6
-diff P0 to fix str fmt

* Wed Dec 03 2008 Götz Waschk <waschk@mandriva.org> 1:2.06-0.rc1.1mdv2009.1
+ Revision: 309627
- new version

* Thu Oct 30 2008 Götz Waschk <waschk@mandriva.org> 1:2.05.01-1mdv2009.1
+ Revision: 298709
- update to new version 2.05.01

* Sat Oct 25 2008 Götz Waschk <waschk@mandriva.org> 1:2.05-1mdv2009.1
+ Revision: 297137
- 2.05 final

* Sun Oct 19 2008 Götz Waschk <waschk@mandriva.org> 1:2.05-0.rc6.1mdv2009.1
+ Revision: 295219
- new version

* Sat Oct 18 2008 Götz Waschk <waschk@mandriva.org> 1:2.05-0.rc5.1mdv2009.1
+ Revision: 294844
- new version

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 1:2.05-0.rc4.1mdv2009.1
+ Revision: 293499
- new version

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 1:2.05-0.rc2.1mdv2009.1
+ Revision: 292358
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 1:2.04-1mdv2009.0
+ Revision: 282918
- new version

* Tue Jun 17 2008 Götz Waschk <waschk@mandriva.org> 1:2.03.01-1mdv2009.0
+ Revision: 223370
- new version
- update file list

* Tue Jun 10 2008 Götz Waschk <waschk@mandriva.org> 1:2.03-1mdv2009.0
+ Revision: 217382
- new version

* Thu Feb 21 2008 Götz Waschk <waschk@mandriva.org> 1:2.02-1mdv2008.1
+ Revision: 173479
- new version

* Sun Feb 17 2008 Götz Waschk <waschk@mandriva.org> 1:2.02-0.rc2.1mdv2008.1
+ Revision: 169918
- new version

* Tue Feb 05 2008 Götz Waschk <waschk@mandriva.org> 1:2.02-0.rc1.1mdv2008.1
+ Revision: 162873
- new version

* Sun Jan 20 2008 Götz Waschk <waschk@mandriva.org> 1:2.01-1mdv2008.1
+ Revision: 155295
- new version

* Thu Jan 10 2008 Götz Waschk <waschk@mandriva.org> 1:2.01-0.rc2.1mdv2008.1
+ Revision: 147517
- new version

* Fri Dec 28 2007 Götz Waschk <waschk@mandriva.org> 1:2.01-0.rc1.1mdv2008.1
+ Revision: 138901
- new version
- update file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 29 2007 Götz Waschk <waschk@mandriva.org> 1:2.00-1mdv2008.1
+ Revision: 113852
- new version

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 1:2.00-0.rc3.1mdv2008.1
+ Revision: 113351
- new version

* Sun Nov 18 2007 Götz Waschk <waschk@mandriva.org> 1:2.00-0.rc1.1mdv2008.1
+ Revision: 109738
- new version

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 1:0.99.06-2mdv2008.1
+ Revision: 109206
- rebuild for new lzma

* Sun Nov 04 2007 Götz Waschk <waschk@mandriva.org> 1:0.99.06-1mdv2008.1
+ Revision: 105721
- new version

* Wed Oct 17 2007 Götz Waschk <waschk@mandriva.org> 1:0.99.05-3mdv2008.1
+ Revision: 99635
- disable parallel build
- release bump
- fix buildrequires
- new version
- new version
- drop patch

  + Thierry Vignaud <tv@mandriva.org>
    - kill file require on info-install

* Mon Jul 02 2007 Götz Waschk <waschk@mandriva.org> 1:0.98.39-1mdv2008.0
+ Revision: 47016
- revert to stable release

* Thu May 31 2007 Götz Waschk <waschk@mandriva.org> 0.99.01-1mdv2008.0
+ Revision: 33406
- new version

* Thu May 24 2007 Götz Waschk <waschk@mandriva.org> 0.99.00-1mdv2008.0
+ Revision: 30716
- new version
- drop patch


* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.98.39-4mdv2007.0
+ Revision: 114692
- Import nasm

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.98.39-4mdv2007.1
- Rebuild

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.98.39-3mdk
- Rebuild

* Fri Aug 26 2005 Olivier Thauvin <nanardon@mandriva.org> 0.98.39-2mdk
- security update into cooker

* Thu May 19 2005 Vincent Danen <vdanen@mandriva.com> 0.98.39-1.1.102mdk
- security update for CAN-2005-1194

* Fri Jan 21 2005 Götz Waschk <waschk@linux-mandrake.com> 0.98.39-1mdk
- fix configure macro
- add source URL
- New release 0.98.39

